Bug 602356 - Review Request: gst123 - Command line multimedia player based on gstreamer
Review Request: gst123 - Command line multimedia player based on gstreamer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Randall "Randy" Berry
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 12:57 EDT by Siddhesh Poyarekar
Modified: 2015-09-13 20:21 EDT (History)
6 users (show)

See Also:
Fixed In Version: gst123-0.1.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-15 12:06:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randyn3lrx: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Siddhesh Poyarekar 2010-06-09 12:57:04 EDT
SPEC: http://siddhesh.fedorapeople.org/gst123/0.1.0-1/gst123.spec
SRPM: http://siddhesh.fedorapeople.org/gst123/0.1.0-1/gst123-0.1.0-1.fc14.src.rpm

Description:

The program gst123 is designed to be a more flexible command line player 
in the spirit of ogg123 and mpg123, based on gstreamer. It plays all file 
formats gstreamer understands, so if you have a music collection which 
contains different file formats, like flac, ogg and mp3, you can use 
gst123 to play all your music files.

Additional Notes:

Current package contains a patch to fix FTBFS due to binutils-gold, which requires an autoreconf. The patch has been accepted upstream:

http://space.twc.de/cgi-bin/gitweb.cgi?p=gst123.git;a=commitdiff;h=0e91e8d2070933f4c770994e607e18899968c662
Comment 1 Randall "Randy" Berry 2010-06-09 17:36:51 EDT
Fedora cannot ship packages with mp3 support please see:
http://fedoraproject.org/wiki/Forbidden_items#MP3_Support
Comment 2 Siddhesh Poyarekar 2010-06-10 01:26:43 EDT
gst123 does not have any special mechanism to play mp3. It can play mp3 only if the underlying gstreamer supports it. In Fedora it does not by default. I have removed the mp3 reference from the description to avoid this confusion:

http://siddhesh.fedorapeople.org/gst123/0.1.0-2/gst123.spec
http://siddhesh.fedorapeople.org/gst123/0.1.0-2/gst123-0.1.0-2.fc14.src.rpm
Comment 3 Randall "Randy" Berry 2010-06-10 01:37:47 EDT
OK, thanks for the clarification. I'll take this review and will have results shortly.
Comment 4 Randall "Randy" Berry 2010-06-10 02:20:29 EDT
mock rawhide build errors:

checking for GSTREAMER_GTK... no
configure: error: Package requirements (gstreamer-base-0.10 gtk+-2.0 gstreamer-interfaces-0.10 gstreamer-video-0.10) were not met:
No package 'gstreamer-interfaces-0.10' found
No package 'gstreamer-video-0.10' found
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables GSTREAMER_GTK_CFLAGS
and GSTREAMER_GTK_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.0s5O7P (%build)
    Bad exit status from /var/tmp/rpm-tmp.0s5O7P (%build)
Child returncode was: 1

mock F13 build errors:

checking for GSTREAMER_GTK... configure: error: Package requirements (gstreamer-base-0.10 gtk+-2.0 gstreamer-interfaces-0.10 gstreamer-video-0.10) were not met:
No package 'gstreamer-interfaces-0.10' found
No package 'gstreamer-video-0.10' found
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables GSTREAMER_GTK_CFLAGS
and GSTREAMER_GTK_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.Obhft8 (%build)
    Bad exit status from /var/tmp/rpm-tmp.Obhft8 (%build)
Child returncode was: 1


Fails to build on Koji for rawhide. (same as above)
https://koji.fedoraproject.org/koji/taskinfo?taskID=2242021

Fails to build on Koji for F13. (same as above)
https://koji.fedoraproject.org/koji/taskinfo?taskID=2242028
Comment 5 Siddhesh Poyarekar 2010-06-10 02:48:30 EDT
Fixed. BuildRequires was missing gstreamer-plugins-base-devel. Should have checked with koji earlier.

http://siddhesh.fedorapeople.org/gst123/0.1.0-3/gst123.spec
http://siddhesh.fedorapeople.org/gst123/0.1.0-3/gst123-0.1.0-3.fc14.src.rpm

Builds on rawhide and F-13:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2242051
http://koji.fedoraproject.org/koji/taskinfo?taskID=2242060
Comment 6 Randall "Randy" Berry 2010-06-10 04:02:05 EDT
================================
Key:

[P] Pass
[F] Fail See [n]
[-] Not applicable
[?] Questions (see comments)

================================

[P]  MUST: rpmlint must be run on every package. The output should be
     posted in the review.

     gst123.i686: W: spelling-error Summary(en_US) gstreamer
     gst123.i686: W: spelling-error %description -l en_US gst
     gst123.i686: W: spelling-error %description -l en_US ogg
     gst123.i686: W: spelling-error %description -l en_US gstreamer
     gst123.src: W: spelling-error Summary(en_US) gstreamer
     gst123.src: W: spelling-error %description -l en_US gst
     gst123.src: W: spelling-error %description -l en_US ogg
     gst123.src: W: spelling-error %description -l en_US gstreamer
     gst123-debuginfo.i686: W: spelling-error Summary(en_US) gst
     gst123-debuginfo.i686: W: spelling-error %description -l en_US gst

     3 packages and 1 specfiles checked; 0 errors, 10 warnings.

     Ignoring warnings spelling is intentional.

[P]  MUST: The package must be named according to the Package Naming
     Guidelines.

[P]  MUST: The spec file name must match the base package %{name},
     in the format %{name}.spec unless your package has an exemption.

[P]  MUST: The package must meet the Packaging Guidelines.

[P]  MUST: The package must be licensed with a Fedora approved
     license and meet the Licensing Guidelines.

     LGPLv2

[P]  MUST: The License field in the package spec file must match
     the actual license.

     LGPLv2

[P]  MUST: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of
     the license(s) for the package must be included in %doc.

[P]  MUST: The spec file must be written in American English.

[P]  MUST: The spec file for the package MUST be legible.

[P]  MUST: The sources used to build the package must match the upstream
     source, as provided in the spec URL. Reviewers should use md5sum for
     this task. If no upstream URL can be specified for this package,
     please see the Source URL Guidelines for how to deal with this.

     325431884db1a913ccfed19e95d8a59d

[P]  MUST: The package MUST successfully compile and build into binary
     rpms on at least one primary architecture.

[-]  MUST: If the package does not successfully compile, build or work on
     an architecture, then those architectures should be listed in the spec
     in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug
     filed in bugzilla, describing the reason that the package does not
     compile/build/work on that architecture. The bug number MUST be
     placed in a comment, next to the corresponding ExcludeArch line.

[P]  MUST: All build dependencies must be listed in BuildRequires,
     except for any that are listed in the exceptions section of the
     Packaging Guidelines ; inclusion of those as BuildRequires is
     optional. Apply common sense.

[-]  MUST: The spec file MUST handle locales properly. This is done by
     using the %find_lang macro. Using %{_datadir}/locale/[ ] is strictly
     forbidden.

[-]  MUST: Every binary RPM package (or sub package) which stores shared
     library files (not just symlinks) in any of the dynamic linker's
     default paths, must call ldconfig in %post and %postun.

[P]  MUST: If the package is designed to be relocatable, the packager
     must state this fact in the request for review, along with the
     rationalization for relocation of that specific package.
     Without this, use of Prefix: /usr is considered a blocker.

[P]  MUST: A package must own all directories that it creates. If it does not
     create a directory that it uses, then it should require a package which
     does create that directory. Refer to the Guidelines for examples.

[P]  MUST: A package must not contain any duplicate files in the %files
     listing.

[P]  MUST: Permissions on files must be set properly. Executables should
     be set with executable permissions, for example. Every %files section
     must include a %defattr(...) line.

[P]  MUST: Each package must have a %clean section, which contains
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).

[P]  MUST: Each package must consistently use macros, as described in the
     macros section of Packaging Guidelines.

[P]  MUST: The package must contain code, or permissible content.
     This is described in detail in the code vs. content section
     of Packaging Guidelines.

[P]  MUST: Large documentation files should go in a -doc sub package.
     (The definition of large is left up to the packager's best judgement,
     but is not restricted to size. Large can refer to either size or quantity)

[P]  MUST: If a package includes something as %doc, it must not affect the
     runtime of the application. To summarize: If it is in %doc, the program
     must run properly if it is not present.

[-]  MUST: Header files must be in a -devel package.

[-]  MUST: Static libraries must be in a -static package.

[-]  MUST: Packages containing pkgconfig(.pc) files must 'Requires:
     pkgconfig' (for directory ownership and usability).

[-]  MUST: If a package contains library files with a suffix
     (e.g. libfoo.so.1.1), then library files that end in .so
     (without suffix) must go in a -devel package.

[-]  MUST: In the vast majority of cases, devel packages must require
     the base package using a fully versioned dependency: Requires:
     %{name} = %{version}-%{release}

[P]  MUST: Packages must NOT contain any .la libtool archives,
     these should be removed in the spec.

[P]  MUST: Packages containing GUI applications must include a
     %{name}.desktop file,and that file must be properly installed
     with desktop-file-install in the %install section. This is described
     in detail in the desktop files section of the Packaging Guidelines.
     If you feel that your packaged GUI application does not need a .desktop
     file, you must put a comment in the spec file with your explanation.

     CLI no .desktop file needed.

[P]  MUST: Packages must not own files or directories already owned by
     other packages. The rule of thumb here is that the first package
     to be installed should own the files or directories that other packages
     may rely upon. This means, for example, that no package in Fedora should
     ever share ownership with any of the files or directories owned by the
     file system or man package. If you feel that you have a good reason to
     own a file or directory that another package owns, then please present
     that at package review time.

[P]  MUST: At the beginning of %install, each package MUST run
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
     See Prepping BuildRoot For %install for details.

[P]  MUST: All file names in rpm packages must be valid UTF-8.

SHOULD Items:

[P]  Should build in mock.
[P]  Should build on all supported archs
[-]  Should have sane scriptlets.
[-]  Should have sub packages require base package with fully versioned depend.
[P]  Should have dist tag
[P]  Should package latest version
[P]  Check for outstanding bugs on package. (For core merge reviews)

Issues:
 none

     APPROVED
Comment 7 Siddhesh Poyarekar 2010-06-10 04:34:37 EDT
Thanks, will request a cvs module now.
Comment 8 Siddhesh Poyarekar 2010-06-10 04:37:12 EDT
New Package CVS Request
=======================
Package Name: gst123
Short Description: Command line multimedia player based on gstreamer
Owners: siddhesh
Branches: F-13
InitialCC:
Comment 9 Kevin Fenzi 2010-06-11 00:56:08 EDT
CVS done (by process-cvs-requests.py).
Comment 10 Fedora Update System 2010-06-11 10:34:54 EDT
gst123-0.1.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gst123-0.1.0-3.fc13
Comment 11 Fedora Update System 2010-06-14 13:28:09 EDT
gst123-0.1.0-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gst123'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gst123-0.1.0-3.fc13
Comment 12 Fedora Update System 2010-06-15 12:06:05 EDT
gst123-0.1.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Siddhesh Poyarekar 2014-11-10 06:50:57 EST
Package Change Request
======================
Package Name: gst123
New Branches: epel7
Owners: siddhesh
Comment 14 Gwyn Ciesla 2014-11-10 08:07:01 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.